Create Ovh Batch
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Schema to parse request for the creation of a batch for OVH users.
Main difference with the regular CreateBatchSchema is the lack of choice of project_id.
object
Enumeration of allowed and legacy device type names
Schema to create a job within a batch.
object
Number of times the pulse sequence is repeated.
Variable assignments for a parametrized sequence. Mutually exclusive with sequence.
object
Serialized Pulser sequence for this specific job. Mutually exclusive with variables. Required if no batch-level sequence_builder is provided.
Responses
Section titled “ Responses ”Successful Response
object
Response for a batch request which includes its jobs data but without the results.
This schema defines all the fields that can be publicly shared by the API.
object
Unique identifier for the batch.
ID of the parent batch if created from a retry.
Current batch status.
Deprecated. Use open instead. Indicates whether the batch is still accepting additional jobs. False means the batch is open; True means it is closed.
Whether the batch is open and accepting additional jobs.
Deprecated. Priority of the batch.
Target device type for the batch.
ID of the user who created the batch.
ID of the project this batch belongs to.
Timestamp when the batch was created.
Timestamp of the last batch update.
Serialized Pulser sequence shared by all jobs.
Total number of jobs in the batch.
Number of jobs grouped by status.
object
User-defined labels for organizing batches.
Deprecated. Use backend_configuration. Extra configuration for job execution.
object
Serialized emulator backend configuration.
URL where job results are sent via webhook.
Timestamp when processing started on hardware.
Timestamp when processing finished, errored, or was canceled.
Jobs in the batch (without result payloads).
Response to a request for a job.
This schema defines all the fields that can be publicly shared by the API and do not require significant computational resources. For example, ‘logs_links’ or ‘results link’.
object
Unique identifier for the job.
ID of the original job if created from a retry (rebatch).
Current job status.
Number of times the pulse sequence is repeated.
ID of the batch this job belongs to.
ID of the project this job belongs to.
Timestamp when the job was created.
Timestamp of the last job update.
Timestamp when the QPU or emulator started processing.
Timestamp when the QPU or emulator finished, errored, or canceled the job.
Variable assignments used to build the pulse sequence.
object
Errors returned during job execution.
Job progress percentage (0-100).
The built pulse sequence for the job.
Position in the creation order within the batch.
Example
{ "id": "00000000-0000-0000-0000-000000000003", "status": "DONE", "runs": 100, "batch_id": "00000000-0000-0000-0000-000000000002", "project_id": "00000000-0000-0000-0000-000000000001", "created_at": "2025-01-15T10:30:00Z", "updated_at": "2025-01-15T10:35:00Z", "start_timestamp": "2025-01-15T10:31:00Z", "end_timestamp": "2025-01-15T10:35:00Z", "variables": { "omega": 5 }, "progress": 100, "creation_order": 1}Priority queue on which the batch is scheduled.
Example
{ "id": "00000000-0000-0000-0000-000000000002", "status": "PENDING", "complete": false, "open": true, "priority": 0, "device_type": "FRESNEL", "user_id": "user-123", "project_id": "00000000-0000-0000-0000-000000000001", "created_at": "2025-01-15T10:30:00Z", "updated_at": "2025-01-15T10:30:00Z", "sequence_builder": "<serialized Pulser sequence>", "jobs_count": 1, "jobs_count_per_status": { "PENDING": 1 }, "tags": [], "jobs": [ { "id": "00000000-0000-0000-0000-000000000003", "status": "PENDING", "runs": 100, "batch_id": "00000000-0000-0000-0000-000000000002", "project_id": "00000000-0000-0000-0000-000000000001", "created_at": "2025-01-15T10:30:00Z", "updated_at": "2025-01-15T10:30:00Z", "variables": { "omega": 5 }, "progress": 0, "creation_order": 0 } ], "queue_priority": "MEDIUM"}Validation Error
